#
# spec file for package cim-schema (Version 2.12)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cim-schema
URL:            http://www.dmtf.org/
Summary:        Common Information Model (CIM) Schema
Version:        2.12
Release:        2.2
Group:          System/Management
License:        Other License(s), see package, FSR
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.dmtf.org/standards/cim/cim_schema_v212/cimv212Experimental-MOFs.zip
BuildArch:    noarch

%description
Common Information Model (CIM) is a model for describing overall
management information in a network or enterprise environment. CIM
consists of a specification and a schema. The specification defines the
details for integration with other management models. The schema
provides the actual model descriptions.



Authors:
--------
    DTMF <http://www.dmtf.org/about/contact>

%debug_package
%prep
%setup -c -n %{name}-%{version}

%build

%install
MOFDIR=/usr/share/mof
CIMDIR=$MOFDIR/cimv%{version}

%__rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/$CIMDIR
perl -p -i -e 's/\\/\//g' cimv212.mof
chmod -R go-wx .
chmod -R a+rX .

%__mv * $RPM_BUILD_ROOT/$CIMDIR/
ln -s cimv%{version} $RPM_BUILD_ROOT/$MOFDIR/cim-current

%files
%defattr(-, root, root)
%dir /usr/share/mof
%dir /usr/share/mof/cimv%{version}
/usr/share/mof/cimv%{version}/*
/usr/share/mof/cim-current

%changelog -n cim-schema
* Tue May 09 2006 - bwhiteley@suse.de
- Updated to schema version cimv2.12, required for SMASH 1.0
  compliance (#173777)
* Fri May 05 2006 - bwhiteley@suse.de
- removed non-ascii char from CIM_DNSSettingData.mof (was breaking
  some XML parsers) (#172939)
* Fri Feb 10 2006 - bwhiteley@suse.de
- fixed execute bit on directories (#149992)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - bwhiteley@suse.de
- Added a symlink cim-current so other packages don't have to hard-
  code cim schema versions.
* Tue Jan 10 2006 - bwhiteley@suse.de
- Update to v2.11 Experimental.
- Moved MOFs under /usr/share/mof
* Thu Jan 13 2005 - nashif@suse.de
- Update to v2.9 Final
* Tue Oct 12 2004 - nashif@suse.de
- Update with cim v2.9
* Wed Feb 18 2004 - nashif@suse.de
- Fixed directory permissions
- build as normal user
* Mon Feb 16 2004 - nashif@suse.de
- Updated to 2.8 final
* Thu Nov 27 2003 - nashif@suse.de
- Initial Release
